Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.hpbf.extractor
Class PublisherTextExtractor

    java.lang.Object
      org.apache.poi.POITextExtractor
          org.apache.poi.POIOLE2TextExtractor
              org.apache.poi.hpbf.extractor.PublisherTextExtractor

    public final class PublisherTextExtractor

extends org.apache.poi.POIOLE2TextExtractor

Extract text from HPBF Publisher files

Constructor Summary
`PublisherTextExtractor(org.apache.poi.poifs.filesystem.DirectoryNode dir)`
`PublisherTextExtractor(org.apache.poi.poifs.filesystem.DirectoryNode dir, org.apache.poi.poifs.filesystem.POIFSFileSystem fs)`
`PublisherTextExtractor(HPBFDocument doc)`
`PublisherTextExtractor(java.io.InputStream is)`
`PublisherTextExtractor(org.apache.poi.poifs.filesystem.NPOIFSFileSystem fs)`
`PublisherTextExtractor(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)`

Method Summary
`java.lang.String` | `getText()`
`static void` | `main(java.lang.String[] args)`
`void` | `setHyperlinksByDefault(boolean hyperlinksByDefault)` Should a call to getText() return hyperlinks inline with the text? Default is no

Methods inherited from class org.apache.poi.POIOLE2TextExtractor
`getDocSummaryInformation, getFileSystem, getMetadataTextExtractor, getRoot, getSummaryInformation`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublisherTextExtractor

    public PublisherTextExtractor(HPBFDocument doc)

### PublisherTextExtractor

    public PublisherTextExtractor(org.apache.poi.poifs.filesystem.DirectoryNode dir)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

### PublisherTextExtractor

    public PublisherTextExtractor(org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

### PublisherTextExtractor

    public PublisherTextExtractor(org.apache.poi.poifs.filesystem.NPOIFSFileSystem fs)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

### PublisherTextExtractor

    public PublisherTextExtractor(java.io.InputStream is)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

### PublisherTextExtractor

    public PublisherTextExtractor(org.apache.poi.poifs.filesystem.DirectoryNode dir,
                                  org.apache.poi.poifs.filesystem.POIFSFileSystem fs)
                           throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### setHyperlinksByDefault

    public void setHyperlinksByDefault(boolean hyperlinksByDefault)

  Should a call to getText() return hyperlinks inline with the text? Default is no

### getText

    public java.lang.String getText()

  Specified by:
    `getText` in class `org.apache.poi.POITextExtractor`

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD